'use strict';

module.exports = (store) => {

  if (store.definitions.instance) {
    return store.definitions.instance;
  }
  const Instance = store.defineResource({
    name: 'instance',
    table: 'instance',
    endpoint: 'instance',
    relations: {},
    defaultValues: {
      id: undefined,
      dropletId: undefined
    }
  });
  Instance.schema = (Joi) => {

    return {
      body: {
        id: Joi.any().strip(),
        dropletId: Joi.string()
      }
    };
  };
  return Instance;
};
