'use strict';

const { container } = require('nodewrite-core-container');

container.register('plugin', () => require(process.cwd()));

container.resolve((Hapi, plugin, test) => {

  const { lab, expect, describe, it, start, stop } = test;

  module.exports.lab = lab;

  describe(plugin.register.attributes.pkg.name, () => {

    const server = new Hapi.Server();

    lab.before((done) => start({ server, container, plugin, done }));
    lab.after((done) => stop({ server, done }));

    it('Registers api routes.', (done) => {

      const routingTable = server.select('api').table();
      expect(routingTable).to.be.an.array();
      done();
    });

  });

});
